HotkeyP
-------

4.8.3 (13.7.2016)
- proměnná %HotkeyP% nerozlišuje velikost písmen a může za ní následovat zpětné lomítko

4.8.2 (26.4.2016)
opravené chyby:
- automatické spuštění po startu Windows

4.8.1 (17.4.2016)
- zrušena zkratka Ctrl+N, která smazala všechny zkratky
- cesta k HTK souboru se neukládá do registru, pokud je soubor v instalační složce

opravené chyby:
- některé minimalizované aplikace při stisku klávesové zkratky zůstaly na pozadí
- možnost "Před spuštěním příkazu chvíli počkat" deaktivovala aktuální okno
- "Maximalizovat všechna okna" náhodně aktivovalo jiné okno
- dotaz před "Skrýt aplikaci" nebo "Skrýt okno" způsobil, že se ikona nezměnila na žlutou
- "Klávesy aktivnímu oknu" někdy vynechalo shift

4.8 (10.4.2016)
- všechny texty jsou v Unicode, což se hodí hlavně pro příkaz "Vložit text"
- klávesové zkratky mají možnost "Spustit jako správce"
- příkazy "Maximalizovat všechna okna", "Ukázat okno HotkeyP", "Obnovit hook"
- příkaz "Skrýt okno" změní ikonu v systémové liště na žlutou
- %HotkeyP% v příkazu je nahrazeno instalační složkou
- během makra je vypnut Caps Lock

opravené chyby:
- kliknutí pravým tlačítkem na ikonku v systémové liště zobrazilo menu hlavního panelu ve Windows 10
- nešlo zjistit název exe souboru u univerzálních aplikací ve Windows 10
- "Informace" neobsahovaly cestu k exe souboru u 64bitových aplikací
- "Vložit text" s parametrem %l byl oříznut na 1024 znaků
- druhý parametr příkazu "Makro aktivnímu oknu" byl omezen na 15 znaků
- "Minimalizovat do tray" nefungovalo pro Průzkumníka
- "Lupa" po rychlém pohybu myši zůstala na místě
- program Spy fungoval jen s 32bitovými procesy

4.7.1 (3.7.2014)
opravené chyby:
- zkratka Win+myš zobrazovala nabídku Start, pokud byla použita s příkazem Makro

4.7 (18.5.2014)
- příkazy "Průhlednost +", "Průhlednost -"
- v příkazech lze používat proměnné prostředí (např. %SystemRoot%)
- ke každé zkratce lze nastavit zvuk (WAV soubor), který se přehraje při stisku klávesové zkratky
- u zkratky je možnost "Před spuštěním příkazu chvíli počkat"
- pouze právě stisknuté shifty jsou uvolněny před makrem
- příkaz "Odstranit dočasné soubory" maže také soubory, které jsou jen pro čtení
- okno HotkeyP je transparentní (skryté) při zobrazení dotazu na spuštění aplikace jako správce
- velká ikona HotkeyP vypadá stejně jako malá ikona

opravené chyby:
- příkaz vložit text nefungoval pro některé jazyky
- ve vícenásobných příkazech nefungoval příkaz vložit text
- některé systémové zkratky nešly změnit (Ctrl+Win+P, Ctrl+Win+F, Win+Shift+M, Win+Shift+up, Alt+Win+1, ...)
- stav kláves je vynulován při obnově hook

4.6.2 (20.11.2012)
opravené chyby:
- Win+kolečko myši zobrazovalo nabídku Start

4.6.1 (28.3.2012)
- zkratky na https stránky
- okno s možnostmi používá vyhlazené písmo
- Když se příkaz "Zavřít okno" spustí na ploše, ukáže se dotaz na vypnutí Windows.

4.6 (30.7.2011)
- příkaz "Rozlišení monitoru" má nepovinný parametr číslo monitoru
- příkaz "Ovládací panely" bez parametru otevře složku Ovládací panely
- příkaz "Makro" může mít parametry \media_select, \launch_app1, \launch_app2
- možnost používat hook jen pro speciální systémové klávesy
- nápověda je v kódování UTF-8

opravené chyby:
- multimediální klávesy nefungovaly na některých klávesnicích (např. Genius)
- po příkaze Makro někdy zůstal stisknutý shift
- když spouštěná aplikace vyžadovala administrátorská práva, předal se navíc parametr název exe souboru

4.5 (11.6.2008)
- nové příkazy: "Horizontální kolečko","Bezpečně odebrat zařízení"
- hlasitost nahrávání, hlasitost více zvukových karet, lze nastavit zobrazovaný název zvukového zařízení
- parametry mohou být také u dokumentů (např. cpl soubory)
- nápověda se spouští v samostatném procesu
- příkaz Makro může obsahovat \rshift,\rctrl,\ralt, \wheelright,\wheelleft

opravené chyby:
- je možné zadat zkratku Ctrl+Break
- když spouštěná aplikace vyžaduje administrátorská práva, zobrazí se UAC okno (Windows Vista)
- heslo pro odemknutí počítače může obsahovat shifty

4.4 (14.9.2007)
- příkazy na změnu hlasitosti fungují ve Windows Vista

opravené chyby:
- "Vložit text" nefungovalo v příkazovém řádku Total Commanderu
- příkazy, které mají parametr název exe souboru, ignorovaly cestu souboru
- nešlo zadat PrintScreen jako klávesovou zkratku

4.3.1 (11.6.2007)
- nové příkazy: "Rychlost CD", "Skrýt aplikaci", "Minimalizovat do tray", "Lupa", "Smazat nedávné dokumenty", "Smazat dočasné soubory", "Uložit ikony na ploše", "Obnovit ikony na ploše"
- kategorie
- "Vložit text" může obsahovat více textů oddělených %|
- "Vložit text" nemění obsah schránky
- "Zobrazit text" - parametr %l znamená obsah schránky
- ve sloupci popis se zobrazují parametry u příkazů (ne u exe souborů)
- tray ikona při zakázaných myších zkratkách změněna na jedno přeškrtnutí
- v programu Spy jsou tlačítka na kopírování hodnot do schránky nebo do okna HotkeyP
- lze měnit velikost okna Spy
- "Uzamknout počítač" zakáže samospouštěcí CD
- možnost nezobrazovat Heslo:*** během zamknutí počítače

4.2 (22.10.2006)
- nové příkazy: "Makro aktivnímu oknu", "Snímek obrazovky", "Snímek okna", "Skrýt tray ikonu", "Obnovit tray ikonu", "Spustit službu", "Zastavit službu", "Vypnout joystick zkratky", "Vypnout dálkové ovládání", "Vypnout klávesové zkratky"
- joystick/gamepad
- přepínač "Před spuštěním příkazu se zeptat"
- do příkazu "Makro" byly přidány speciální sekvence pro písmena a číslice (\A, \Aup, \Adown, \B, \0, \1, ...)
- druhý parametr příkazů "Makro/Klávesy/Příkaz aktivnímu oknu" může obsahovat logické operátory &,|,!

opravené chyby:
- po setřídění nebyla vidět vybraná položka
- při sestupném setřídění nešlo přesouvat položky v seznamu
- někdy se při startu nepodařilo připojit k WinLIRC
- po zkratkách Win+něco se objevovalo Start menu
- u zkratek pro dálkové ovládání šlo zaškrtnout shifty, přestože se pak ignorují
- kombinace Ctrl+ScrollLock nemohla být zadána jako klávesová zkratka
- vícenásobný příkaz může odkazovat na "Makro/Klávesy/Příkaz aktivnímu oknu"

následující dvě chyby byly opraveny jen pro případ, že je zaškrtnuta možnost "Hook používat pro všechny klávesové zkratky": 
- nerozlišovalo se mezi klávesami "Enter" a "Num Enter"
- po stisku klávesové zkratky se aktivnímu oknu posílala zpráva keyup, což někdy způsobovalo, že se kromě klávesové zkratky vykonala zároveň také nějaká funkce v aktivním okně

4.1 (10.7.2006)
- hook je v samostatném threadu, a proto při delších příkazech není blokována myš a klávesnice
- tlačítko Nápověda v okně pro úpravu klávesové zkratky

opravené chyby:
- některé příkazy nešly spustit z příkazové řádky
- ikony měly bílé pozadí místo průhledného

4.0 (29.6.2006)
- dálkové ovládání přes WinLIRC
- možnost používat hook pro všechny klávesové zkratky
- makra mohou obsahovat také tlačítka myši a kombinace více kláves
- makra se při delším držení klávesy opakují
- funkce "Vypnout počítač" a "Restartovat" s parametrem 2 zavřou všechna okna 
- malé ikony v seznamu zkratek
- nový příkaz: "Vypnout myší zkratky"
- možnost pro některé aplikace zakázat zpožďování tlačítek myši 
- třídění podle sloupce "Klávesa" setřídí i myší zkratky
- možnost pravidelně obnovovat hook
- menu u ikony v systémové liště může mít podmenu (popis zkratky je ve tvaru podmenu->položka) 

opravené chyby:
- makra nefungovala, když byly stisknuty pravé shifty
- "Příkaz aktivnímu oknu" měnil Insert na Num0, End na Num1, Down na Num2, ...
- "Vypnout monitor" nefungovalo s některými multimediálními klávesami
- odstranění zkratky ze seznamu špatně posunulo zvýrazněný řádek
- příkaz "Dvojklik" v některých aplikacích nefungoval
- když při vytváření nové zkratky byl vypnut počítač, zůstala v seznamu položka (null) 

3.6 (3.6.2006)
- nový příkaz: "Vypnout všechny zkratky"
- možnost dát procesu HotkeyP vysokou prioritu
- příkazem může být emailová adresa, která začíná na mailto:
- pro klávesovou zkratku lze použít klávesy PrintScreen, Win+D, Win+M, Win+F, Win+R, Win+E, Win+F1, Win+Tab, Win+Pause (Win2000/XP)
- možnost zakázat zpožďování pravého tlačítka myši  

opravené chyby:
- tlačítka myši se zpožďovala kvůli příkazům aktivnímu oknu, i když zrovna nebylo aktivní
- při změně rozlišení se trochu přesunula okna hlasitost, volné místo, zobrazit text
- nefungovalo vypnutí monitoru současně s uzamknutím počítače
- při uzamknutí počítače hned po startu Windows se nespustily ostatní automaticky spouštěné zkratky
- když se během uzamknutí restartoval počítač, zůstal zakázán správce úloh a ztlumená hlasitost  
 
3.5 (21.5.2006)
- příkazy lze přidat do menu u ikony v systémové liště
- příkazy mohou být spuštěny automaticky po startu Windows
- možnosti pro funkci "Uzamknout počítač"
- CapsLock lze použít pro klávesovou zkratku
- zrušena chybová hláška "Okno nenalezeno"
- klávesové a myší zavěšení přesunuto z hook.dll do hotkeyp.exe (Win2000/XP)

opravené chyby:
- byly blokovány ostatní aplikace používající klávesové zkratky
- příkazem nemohl být .LNK soubor (zástupce na ploše nebo v menu Start)
- průhlednost se nenastavila při aktivaci některých minimalizovaných aplikací
- příkaz jen aktivnímu oknu v ostatních oknech způsobil uvolnění shiftů
- po odemknutí počítače některé klávesy zůstaly stisknuté

3.4 (13.5.2006)
- nová funkce: "Uzamknout počítač"
- myší zkratky závisejí na pořadí stisku tlačítek (L+R je jiné než R+L)
- myší zkratky už fungují i na starších verzích Windows
- možnost zpoždění tlačítek myši
- průhlednost pro okna Hlasitost, Volné místo na disku, Zobrazit text
- možnost novou zkratku vkládat za aktuální položku
- možnost zvolit, která tlačítka jsou vidět v hlavním okně
- lze označit a přesouvat nebo odstraňovat najednou více položek
- průhlednost se nastavuje také při aktivaci oken, ne jen při spouštění programů
- ikona v systémové liště se nezvýrazňuje během příkazů aktivnímu oknu
- funkce "Zablokovat klávesu" blokuje jen klávesy, a ne makra    

3.3 (7.5.2006)
- nové funkce: "Zobrazit text", "Zablokovat klávesu", "Předchozí aplikace", "Další aplikace", "Stisk čtvrtého/pátého tlačítka", "Ukázat plochu" 
- na příkazové řádce lze zadat více příkazů oddělených středníkem
- "Příkaz aktivnímu oknu" může mít tři parametry, funguje také pro myší zkratky a lze použít stejnou zkratku pro několik aplikací
- "Makro" může obsahovat multimediální klávesy
- "Vysunout/Zasunout CD" už by nemělo blokovat klávesnici
- "Vypnout monitor" čeká na uvolnění klávesy maximálně 5 sekund
- v menu Úpravy přidán příkaz Kopie
- spouštěným aplikacím lze nastavit průhlednost
- možnost přejmenovat klávesy

3.2 (20.4.2006)
- nová funkce "Hlasitost", která nastaví hlasitost na konkrétní hodnotu
- funkce pro změnu hlasitosti mohou mít parametr Bass nebo Treble pro změnu basů a výšek
- "Další tapeta" si pamatuje poslední tapetu pro každou složku zvlášť

3.1 (5.4.2006)
- lze použít všechny multimediální klávesy i na starších verzích Windows
- myší zkratky (různé kombinace všech pěti tlačítek myši, kolečka, shiftových kláves)
- nové funkce: "Klávesy aktivnímu oknu", "Příkaz aktivnímu oknu", "Myš/Kolečko", "Myš/Dvojklik", "Okno/Průhlednost"
- příkaz \rep v makrech
- program spy.exe ke zjištění čísel příkazů WM_COMMAND

3.0 (1.4.2006)
- nové funkce: "Další tapeta", "Předchozí tapeta", "Přesunout okno", "Změnit velikost okna", "Posloupnost příkazů"
- hlasitost má parametr zařízení (wave, midi, line in, ...)
- lze změnit barvu okraje okna hlasitosti a volného místa na disku
- funkce "Vložit text" může obsahovat datum/čas, název počítače/uživatele, konec řádku
- kliknutí na ikonu v systémové liště zobrazí/skryje aplikaci
- možnosti tlačítko Minimalizovat nebo Zavřít skryje okno
- v menu Soubor jsou příkazy Otevřít/Uložit nastavení
- vícenásobný příkaz může odkazovat na jiný vícenásobný příkaz

2.14 (17.3.2006)
- při stisku klávesové zkratky se aplikace spustí, aktivuje, nebo minimalizuje
- funkce "Změnit tapetu" může mít parametr složku, nebo soubor
- lze změnit barvu textu okna hlasitosti a volného místa na disku
- možnost "Spouštět automaticky po startu Windows"
- v makrech přidán příkaz \sleep
- v menu Úpravy je příkaz Přejmenovat
- tlačítka nahoru,dolů

opraveno:
- nezobrazovaly se správné názvy žádných multimediálních kláves
- v makrech nefungovalo \f10 \f11 \f12
- okno hlasitosti a volného místa se posouvalo o 1 bod vlevo
- funkce "Vypnout monitor" nečekala na uvolnění klávesy
- šířky sloupců se neuložily při restartování počítače 
- funkce "Minimalizovat okno" v některých případech nefungovala
- jiným než českým uživatelům se zobrazila zpráva "Nenalezen soubor .lng"

2.13 (25.10.2005)
- příkaz může být složka

2.12 (10.4.2005)
- interní příkazy lze spouštět z příkazové řádky

2.11 (14.3.2005)
- příkazy "Minimalizovat ostatní", "Informace", "Vložit text"
- makra se vykonávají při stisku klávesy a ne až po uvolnění
- parametr u okenních příkazů může být podřetězec názvu okna
- při použití "Příkazy jinému oknu" lze aktivovat okno povelem \show

2.10 (7.2.2005)
- příkaz Vypnout počítač nefungoval ve Win98

2.9 (9.12.2004) 
- příkazy "Uzamknout počítač" a "Režim spánku"
- nové zkratky lze přidávat na konec nebo vkládat dovnitř seznamu
- parametry u "Rozlišení monitoru" mohou být dvě rozlišení oddělená čárkou

2.8 (28.11.2004)
- zjišťování informací ze zástupců (drag&drop z menu Start nebo plochy)

2.7 (9.11.2004)
- zrušeno automatické doplňování pracovního adresáře
- Vysunout/Zasunout CD stejnou klávesovou zkratkou
- vícenásobné příkazy

2.6 (29.10.2004)
- funkce změny priority procesu na podprůměrnou/nadprůměrnou (Win2000/XP)
- vypnutí počítače nebo vypnutí monitoru už by mělo fungovat ve Win2000

2.5 (7.10.2004)
- možnost spouštění jen jedné instance funguje i pro DOS programy
- pořadí položek lze měnit tažením pomocí myši
- lze zvolit barvy zobrazení volného místa a hlasitosti 
- do výběru písma přidáno tlačítko Použít

2.4 (28.6.2004)
- příkazy pracující s okny mohou mít parametr exe soubor
- změněna ikona

2.3 (18.6.2004)
- setříděný sloupec má v záhlaví trojúhelníček

2.2 (26.4.2004)
- okna hlasitosti a volného místa lze přesouvat
- možnosti
- v seznamu lze najít klávesovou zkratku zadáním začátku slova
- ikona v systémové liště

2.1 (23.3.2004)
- adresář language
- údaj o volném místě na disku se překresluje každou sekundu
- ztlumení hlasitosti zobrazí okno hlasitosti

2.0 (15.1.2004)
- seznam lze setřídit
- drag&drop z průzkumníka
 
1.6 (10.1.2004)
- v menu úpravy přidáno spustit
 
1.5 (8.1.2004)
- jsou povoleny klávesové zkratky Enter, Esc, Tab

1.4 (7.12.2003)
- v poznámce se uřízne přípona jen u spustitelných souborů

1.3 (5.12.2003)
- lze otevírat dokumenty a www stránky
- přidána makra

1.2 (30.11.2003)
- přidán příkaz "Klávesa jinému oknu"

1.1 (18.11.2003)
- parametr se dá do uvozovek, pokud byl vybrán jako soubor

1.0 (1.7.2003)
